OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.0-beta1

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - c -

- CalcDemand() : DemandCalculator
- CalcHash() : HashTable< Titem, Thash_bits_ >
- CalcNextVehicleOffset() : Train
- CalculatePositionInWidget() : IndustryCargoesWindow
- CalendarConvertDateToYMD() : TimerGame< T >
- CalendarConvertYMDToDate() : TimerGame< T >
- CallbackResultSpriteGroup() : CallbackResultSpriteGroup
- CallLoad() : ScriptInstance
- CallMethod() : Squirrel
- CanAllocate() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- CanAllocateItem() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- CanalResolverObject() : CanalResolverObject
- CanBeUsed() : CombinedAuthenticationServerHandler, NetworkAuthenticationAuthorizedKeyHandler, NetworkAuthenticationDefaultAuthorizedKeyHandler, NetworkAuthenticationServerHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEServerHandler
- CanCarryCargo() : Engine
- Cancel() : ClientNetworkContentSocketHandler
- CancelReservation() : Vehicle
- CanDelChar() : Textbuf
- CanEnterNewTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanExitOldTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanJoinCompany() : NetworkClientInfo
- CanLeaveWithCargo() : Order
- CanLoadFromVersion() : AIInfo, GameInfo
- CanReadFromPacket() : Packet
- CanSendReceive() : NetworkTCPSocketHandler
- CanStartNew() : AI
- CanSuspend() : Squirrel
- CanUpgradeCurrent() : NewGRFWindow
- CanWriteToPacket() : Packet
- CapacityAnnotation() : CapacityAnnotation
- Cargo() : LinkGraph, LinkGraphJob
- CargoChanged() : GroundVehicle< T, Type >
- CargoClickedAt() : CargoesField
- CargoLabelClickedAt() : CargoesField
- CargoList() : CargoList< Tinst, Tcont >
- CargoPacket() : CargoPacket
- CargoPayment() : CargoPayment
- CargoResolverObject() : CargoResolverObject
- Case() : Case
- CatchmentCoversTown() : Station
- CBinaryHeapT() : CBinaryHeapT< T >
- Change() : Backup< T >, Gamelog, ScriptConfig
- ChangeAnimationFrame() : AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >
- ChangeMusicSet() : MusicSystem
- ChangePlaylist() : MusicSystem
- ChangePlaylistPosition() : MusicSystem
- ChangeRegisteredTimerPeriod() : TimerManager< TTimerType >
- ChangeResolution() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL, VideoDriver_SDL_Base, VideoDriver_Win32Base
- ChangeScript() : ScriptListWindow
- ChangeShare() : FlowStat
- ChangeToScript() : ScriptDebugWindow
- ChangeValue() : IntSettingDesc, StringSettingDesc
- ChatTabCompletion() : NetworkChatWindow
- CheckActivity() : TCPConnecter, TCPServerConnecter
- CheckAllocation() : ScriptAllocator
- CheckCallbacks() : TCPConnecter
- CheckConnection() : ClientNetworkGameSocketHandler, QueryNetworkGameSocketHandler
- CheckDependencyState() : ClientNetworkContentSocketHandler
- CheckHyperlinkClick() : TextfileWindow
- CheckIntegrity() : RoadStop::Entry
- CheckInvariant() : Kdtree< T, TxyFunc, CoordT, DistT >
- CheckMatch() : HotkeyList
- CheckMD5() : BaseSet< T, Tnum_files, Tsearch_in_tars >, GraphicsSet, MD5File
- CheckMethod() : ScriptInfo
- CheckPaletteAnim() : VideoDriver, VideoDriver_Allegro, VideoDriver_CocoaQuartz, VideoDriver_SDL, VideoDriver_SDL_Base, VideoDriver_Win32Base
- CheckSelectedSize() : BuildRailStationWindow
- CheckShipReverse() : CYapfFollowShipT< Types >
- CheckStatus() : MusicSystem
- CheckTile() : AyStar
- ChooseAction() : VehicleCargoList
- ClampToMap() : OrthogonalTileArea
- Classes() : NewGRFClass< Tspec, Tindex, Tmax >
- Clean() : PoolBase
- CleaningPool() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- CleanPool() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >, PoolBase
- CleanupPaths() : MultiCommodityFlow
- Clear() : CargoDataEntry, CBinaryHeapT< T >, ClientNetworkContentSocketHandler, DiagonalTileArea, GroupStatistics, HashTable< Titem, Thash_bits_ >, HashTableSlot< TItem >, IniGroup, Kdtree< T, TxyFunc, CoordT, DistT >, LinkGraphSchedule, LoadCheckData, OrthogonalTileArea, OutputBuffer, OutputStore, VehicleSpriteSeq
- ClearArticulatedPart() : GroundVehicle< T, Type >
- ClearChanges() : BasePersistentStorageArray, PersistentStorageArray< TYPE, SIZE >
- ClearConfigList() : ScriptConfig
- ClearCursorCache() : OpenGLBackend
- ClearDataForNextFile() : GrfProcessingState
- ClearDriveThrough() : RoadStop
- ClearEngine() : GroundVehicle< T, Type >
- ClearFontCache() : CoreTextFontCache, FontCache, FreeTypeFontCache, MockFontCache, SpriteFontCache, TrueTypeFontCache, Win32FontCache
- ClearFreeWagon() : GroundVehicle< T, Type >
- ClearFrontEngine() : GroundVehicle< T, Type >
- ClearGroup() : OrderBackup
- ClearMultiheaded() : GroundVehicle< T, Type >
- ClearSystemSprites() : VideoDriver, VideoDriver_Cocoa, VideoDriver_CocoaOpenGL, VideoDriver_SDL_OpenGL
- ClearVehicle() : OrderBackup
- ClearWagon() : GroundVehicle< T, Type >
- ClientError() : ClientNetworkGameSocketHandler
- ClientIdIsSet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- ClientNetworkContentSocketHandler() : ClientNetworkContentSocketHandler
- ClientNetworkGameSocketHandler() : ClientNetworkGameSocketHandler
- ClientSizeChanged() : VideoDriver_SDL_Base
- ClientToServer() : X25519DerivedKeys
- Clone() : AirportTileIterator, AirportTileTableIterator, BitmapTileIterator, DiagonalTileIterator, NewGRFSpriteLayout, OrthogonalTileIterator, TileIterator
- Close() : AIConfigWindow, BaseNetworkContentDownloadStatusWindow, BootstrapAskForDownloadWindow, BootstrapContentDownloadStatusWindow, BootstrapErrorWindow, BuildAirportWindow, BuildAirToolbarWindow, BuildDocksStationWindow, BuildDocksToolbarWindow, BuildRailStationWindow, BuildRailToolbarWindow, BuildRoadStationWindow, BuildRoadToolbarWindow, BuildSignalWindow, DepotWindow, DropdownWindow, EndGameWindow, ErrmsgWindow, GameOptionsWindow, GSConfigWindow, HighScoreWindow, IConsoleWindow, NetworkAskRelayWindow, NetworkChatWindow, NetworkContentDownloadStatusWindow, NetworkContentListWindow, NewGRFWindow, PickerWindow, PickerWindowBase, QueryStringWindow, QueryWindow, SaveLoadWindow, SelectStationWindow< T >, SmallMapWindow, StationViewWindow, TownViewWindow, VehicleViewWindow, WaypointWindow, Window
- CloseAllConnections() : ClientNetworkCoordinatorSocketHandler
- CloseChildWindows() : Window
- CloseConnection() : ClientNetworkContentSocketHandler, ClientNetworkCoordinatorSocketHandler, ClientNetworkGameSocketHandler, ClientNetworkStunSocketHandler, ClientNetworkTurnSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler, NetworkTCPSocketHandler, QueryNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- ClosedCount() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- CloseLibrary() : LibraryLoader
- CloseListeners() : TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- CloseSocket() : NetworkTCPSocketHandler, NetworkUDPSocketHandler
- CloseStunHandler() : ClientNetworkCoordinatorSocketHandler
- CloseToken() : ClientNetworkCoordinatorSocketHandler
- CloseTurnHandler() : ClientNetworkCoordinatorSocketHandler
- ClrTile() : BitmapTileArea
- CmdGet() : IConsole
- CmdRegister() : IConsole
- CollectGarbage() : ScriptInstance, Squirrel
- Colour() : Colour
- CommandCost() : CommandCost
- Company() : Company
- CompanyNewsInformation() : CompanyNewsInformation
- CompareTo() : NetworkAddress
- Compile() : GameStrings
- CompileError() : Squirrel
- ComposeColourPA() : Blitter_32bppBase
- ComposeColourPANoCheck() : Blitter_32bppBase
- ComposeColourRGBA() : Blitter_32bppBase
- ComposeColourRGBANoCheck() : Blitter_32bppBase
- ComputeCargoDisplay() : IndustryCargoesWindow
- ComputeGroupInfoSize() : VehicleGroupWindow
- ComputeIndustryDisplay() : IndustryCargoesWindow
- ComputeScroll() : SmallMapWindow
- Connect() : ClientNetworkContentSocketHandler, ClientNetworkStunSocketHandler, ClientNetworkTurnSocketHandler, NetworkHTTPRequest, NetworkHTTPSocketHandler, TCPConnecter
- ConnectCargo() : CargoesField
- ConnectFailure() : ClientNetworkCoordinatorSocketHandler
- ConnectIndustryAccepted() : CargoesRow
- ConnectIndustryProduced() : CargoesRow
- ConnectSuccess() : ClientNetworkCoordinatorSocketHandler
- ConnectToServer() : ClientNetworkCoordinatorSocketHandler
- ConsistChanged() : Train
- Constructor() : AIInfo, AILibrary, GameInfo, GameLibrary, ScriptInfo
- Contains() : DiagonalTileArea, LRUCache< Tkey, Tdata >, NetworkAuthorizedKeys, OrthogonalTileArea, Rect, SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- Continue() : ScriptInstance
- ConvertDateToYMD() : TimerGameCalendar, TimerGameEconomy
- ConvertFromOldSavegame() : Order
- ConvertYMDToDate() : TimerGameCalendar, TimerGameEconomy
- CopyConsistPropertiesFrom() : BaseConsist
- CopyFromBuffer() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- CopyImageToBuffer() : Blitter, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- CopyOutDParams() : ErrorMessageData
- CopyParams() : GRFConfig
- CopyToBuffer() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- CopyVehicleConfigAndStatistics() : Vehicle
- CopyWithoutPalette() : VehicleSpriteSeq
- Count() : CargoPacket, HashTable< Titem, Thash_bits_ >, Kdtree< T, TxyFunc, CoordT, DistT >
- CountEngine() : GroupStatistics
- CountInUse() : StringData
- CountLines() : GoalListWindow, SubsidyListWindow
- CountMatchingAcceptingIndustries() : IndustryCargoesWindow
- CountMatchingProducingIndustries() : IndustryCargoesWindow
- CountRuns() : FallbackParagraphLayout::FallbackLine
- CountValue() : Kdtree< T, TxyFunc, CoordT, DistT >
- CountVehicle() : GroupStatistics
- Crash() : Aircraft, GroundVehicle< T, Type >, RoadVehicle, Train, Vehicle
- CrashLogOSX() : CrashLogOSX
- CrashLogUnix() : CrashLogUnix
- CrashLogWindows() : CrashLogWindows
- CrashOccurred() : Squirrel
- Create() : NetworkAuthenticationClientHandler, NetworkAuthenticationServerHandler, OpenGLBackend, OpenGLSprite, SimplePool< Titem, Tindex, Tgrowth_step, Tmax_size >, StringIterator, TCPConnecter, TileIterator
- CreateClassInstance() : Squirrel
- CreateClassInstanceVM() : Squirrel
- CreateClientToServerEncryptionHandler() : CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler, NetworkAuthenticationHandler, X25519AuthorizedKeyClientHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyClientHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEClientHandler, X25519PAKEServerHandler
- CreateFileName() : CrashLog
- CreateGroup() : IniLoadFile
- CreateInstance() : BlitterFactory, DriverFactoryBase, FBlitter_32bppAnim, FBlitter_32bppOptimized, FBlitter_32bppSimple, FBlitter_40bppAnim, FBlitter_8bppOptimized, FBlitter_8bppSimple, FBlitter_Null, FMusicDriver_Allegro, FMusicDriver_BeMidi, FMusicDriver_Cocoa, FMusicDriver_DMusic, FMusicDriver_ExtMidi, FMusicDriver_FluidSynth, FMusicDriver_Null, FMusicDriver_Win32, FSoundDriver_Allegro, FSoundDriver_Cocoa, FSoundDriver_Null, FSoundDriver_SDL, FSoundDriver_Win32, FSoundDriver_XAudio2, FVideoDriver_Allegro, FVideoDriver_CocoaOpenGL, FVideoDriver_CocoaQuartz, FVideoDriver_Dedicated, FVideoDriver_Null, FVideoDriver_SDL, FVideoDriver_SDL_Default, FVideoDriver_SDL_OpenGL, FVideoDriver_Win32GDI
- CreateItem() : IniGroup
- CreateMainWindow() : VideoDriver_SDL_Base, VideoDriver_SDL_OpenGL
- CreateNestedTree() : Window
- CreateNewNode() : CYapfBaseT< Types >, NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- CreatePublicKey() : X25519SecretKey
- CreateRandom() : X25519Nonce, X25519SecretKey
- CreateRandomPath() : CYapfFollowShipT< Types >
- CreateServerToClientEncryptionHandler() : CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler, NetworkAuthenticationHandler, X25519AuthorizedKeyClientHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyClientHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEClientHandler, X25519PAKEServerHandler
- CurrentIndex() : StringBuilder
- CYapfBaseT() : CYapfBaseT< Types >